A Sandcastle Documented Class Library

# OptionsConfigurationFile Class

An options configuration file. This class is used to serialize out the configuration to a file.
Inheritance Hierarchy
System
Object
butterflow_ui
OptionsConfigurationFile

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    [SerializableAttribute]
    public class OptionsConfigurationFile

The OptionsConfigurationFile type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| OptionsConfigurationFile | Initializes a new instance of the OptionsConfigurationFile class

Top
Properties

| Name | Description
--- | --- | ---
| FastPyramid | Gets or sets a value indicating whether to use fast pyramids.
| FlowFilterType | Gets or sets the type of the flow filter used for optical flow calculations.
| Iterations | Gets or sets the number of iterations at each pyramid level.
| KeepAudio | Gets or sets a value indicating whether the keep audio.
| KeepSubregions | Gets or sets a value indicating whether the keep subregions that are not explicitly specified.
| Levels | Gets or sets the number of pyramid layers.
| LockAspectRatio | Gets or sets a value indicating whether to lock aspect ratio of the video.
| LosslessQuality | Gets or sets a value indicating whether the result is rendered in lossless quality.
| PixelNeighborhood | Gets or sets the size of the pixel neighborhood.
| PlaybackRate | Gets or sets the playback rate.
| PyramidScale | Gets or sets the pyramid scale factor.
| SmoothDerivativeStandardDeviation | Gets or sets the standard deviation of smooth derivatives.
| SmoothMotion | Gets or sets a value indicating whether the butterflow should be turned toward smooth motion.
| WindowSize | Gets or sets the size of the windowing average.

Top
See Also

#### Reference

butterflow_ui Namespace